Recurring campaigns
GET https://pushye.com/api/recurring-campaigns/
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | La chaîne de recherche. |
| search_by | Optionnel Chaîne | Quel champ recherchez-vous ? Les valeurs autorisées sont : name, title, description, url. |
| website_id | Optionnel Entier | |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : last_run_datetime, next_run_datetime, datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optionnel Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optionnel Chaîne | Quel champ pour trier les résultats. Les valeurs autorisées sont : recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Optionnel Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Optionnel Entier | Le numéro de page dont vous souhaitez obtenir les résultats. Par défaut, c'est 1. |
| results_per_page | Optionnel Entier | Combien de résultats souhaitez-vous par page ? Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut, c'est 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-05-17 03:39:47",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/recurring-campaigns?page=1",
"last": "https://pushye.com/api/recurring-campaigns?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/recurring-campaigns?page=1"
}
}
GET https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-05-17 03:39:47",
}
}
POST https://pushye.com/api/recurring-campaigns
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Requis Entier | - |
| name | Requis Chaîne | - |
| title | Requis Chaîne | - |
| description | Requis Chaîne | - |
| url | Optionnel Chaîne | - |
| image | Optionnel Fichier | - |
| button_title_1 | Optionnel Chaîne | - |
| button_url_1 | Optionnel Chaîne | - |
| button_title_2 | Optionnel Chaîne | - |
| button_url_2 | Optionnel Chaîne | - |
| is_silent | Optionnel Booléen | - |
| is_auto_hide | Optionnel Booléen | - |
| ttl | Optionnel Chaîne | Valeurs autorisées : 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Optionnel Chaîne | - |
| utm_medium | Optionnel Chaîne | - |
| utm_campaign | Optionnel Chaîne | - |
| frequency | Optionnel Chaîne | Valeurs autorisées : daily, weekly, monthly |
| week_days | Optionnel Chaîne |
Valeurs autorisées : 1, 2, 3, 4, 5, 6, 7 Disponible quand : frequency = weekly |
| month_days | Optionnel Chaîne |
Valeurs autorisées : 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Disponible quand : frequency = monthly |
| time | Optionnel Chaîne | HH:II |
| is_enabled | Optionnel Booléen | - |
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
--url 'https://pushye.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
| Paramètres | Détails | Description |
|---|---|---|
| website_id | Optionnel Entier | - |
| name | Optionnel Chaîne | - |
| title | Optionnel Chaîne | - |
| description | Optionnel Chaîne | - |
| url | Optionnel Chaîne | - |
| image | Optionnel Fichier | - |
| button_title_1 | Optionnel Chaîne | - |
| button_url_1 | Optionnel Chaîne | - |
| button_title_2 | Optionnel Chaîne | - |
| button_url_2 | Optionnel Chaîne | - |
| is_silent | Optionnel Booléen | - |
| is_auto_hide | Optionnel Booléen | - |
| ttl | Optionnel Chaîne | Valeurs autorisées : 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Optionnel Chaîne | - |
| utm_medium | Optionnel Chaîne | - |
| utm_campaign | Optionnel Chaîne | - |
| frequency | Optionnel Chaîne | Valeurs autorisées : daily, weekly, monthly |
| week_days | Optionnel Chaîne |
Valeurs autorisées : 1, 2, 3, 4, 5, 6, 7 Disponible quand : frequency = weekly |
| month_days | Optionnel Chaîne |
Valeurs autorisées : 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Disponible quand : frequency = monthly |
| time | Optionnel Chaîne | HH:II |
| is_enabled | Optionnel Booléen | - |
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \